[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TDestroyResolutionHandleEvent

Specifies an event handler signalled when images are removed from TImageList.

## Declaration

Source position: imglist.pp line 69

`type TDestroyResolutionHandleEvent = procedure(`
`Sender: TCustomImageList;`
`AWidth: Integer;`
`AReferenceHandle: TLCLHandle`
`) of object;`

## Arguments

`Sender` |  | Image list generating the event notification.
`AWidth` |  | Width of the image being removed.
`AReferenceHandle` |  | Handle for the image list updated in the method.

## Description

TDestroyResolutionHandleEvent specifies an event handler signalled when images in a TImageList instance with a specific width are removed. TDestroyResolutionHandleEvent is the type used to implement the OnDestroyResolutionHandle in TChangeLink.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the AReferenceHandle parameter.

## See also

TChangeLink.OnDestroyResolutionHandle |  | Event handler signalled when the handle for an image resolution is freed.
TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.